Create a user with policy info
POST/api/users/with-policy
Requires admin token. Create a user in the Ownli System with required policy info. Identity is phone + policyNumber + contributor.
Request
Query Parameters
Return the user object if a user matching phone+policyNumber for this contributor exists. Default behavior is to return an error.
- application/json
Body
required
User's First Name. (Required)
User's Last Name. (Required)
User's Email.
Has the user's email been verified by the partner?
Cell Phone Number of the User. The phone number should be in the E.164 format +15556667777 (Required)
Has the user's phone been verified by the partner?
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
required
Address
Street Address
City
2 Letter State Code (eg. AL, CA, CO etc.
2 Letter Country Code. Must be US.
Zipcode
policyInfo
object
required
Address
Policy Number
[startDate] The start date of the policy. ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ (e.g. 2024-01-01T00:00:00.000Z). Required unless caller is in policy.dates-optional.partner-ids.
[endDate] The end date of the policy. ISO8601 UTC format YYY-MM-DDThh:mm:ss.SSSZ (e.g. 2024-01-01T00:00:00.000Z). Required unless caller is in policy.dates-optional.partner-ids.
Responses
- 200
- 400
- 401
- 409
- 500
The created user object.
- application/json
- Schema
- Example (from schema)
Schema
Unique Id for the user
User's first name
User's last name
User's email address
User's cell phone number
Internal admin note
Custom Field 1
Custom Field 2
Custom Field 3
Custom Field 4
Custom Field 5
address
object
Address
Street Address Line 1
Street Address Line 2
City
2 Letter State Code
2 Letter Country Code
Zip
policyInfo
object
Policy
Policy Number
Start Date
End Date
Possible values: [None, Accepted, Declined]
User's answer to terms of service for sharing data with Partner. (Only valid for certain partners)
A code generated for the user to share with Partner. (Only valid for certain partners)
Time at which user was registered on the system
Last updated timestamp
{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"phone": "string",
"adminNote": "string",
"customField1": "string",
"customField2": "string",
"customField3": "string",
"customField4": "string",
"customField5": "string",
"address": {
"addressLine1": "string",
"addressLine2": "string",
"city": "string",
"state": "string",
"country": "string",
"zip": "string"
},
"policyInfo": {
"policyNumber": "string",
"startDate": "string",
"endDate": "string"
},
"tosAnswer": "None",
"partnerCode": "string",
"dateRegistered": "string",
"updated": "string",
"emailVerified": true,
"phoneVerified": true,
"fraud": true
}
Invalid parameters or invalid state code passed in address. Possible error codes
-
ERROR_INVALID_STATE_CODE
-
ERROR_INVALID_PARAMETERS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Authorization error e.g. due to an invalid or missing API keys.
User exists with same phone + policyNumber for this contributor (when returnExistingUserIfExists is false). Possible error codes
-
ERROR_USER_ALREADY_EXISTS
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}
Internal error. Possible error codes
-
INTERNAL_SERVER_ERROR
- application/json
- Schema
- Example (from schema)
Schema
Error code
A verbose error message
{
"error_code": "string",
"error_message": "string"
}